{% extends 'base.html.twig' %}

{% block title %}Patient index{% endblock %}

{% block body %}
    <h1>Patient index</h1>
    <a href="{{ path('patient_new') }}">Create new</a>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Avs Number</th>
                <th>Birthdate</th>
                <th>Admission(s)</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>

        {% for patient in patients %}
            <tr>
                <td>{{ patient.id }}</td>
                <td>{{ patient.firstName }}</td>
                <td>{{ patient.lastName }}</td>
                <td>{{ patient.avsNumber }}</td>
                <td>{{ patient.birthdate }}</td>
                <td>
                    <ul>
                    {% for admission in patient.HasAdmissions %}
                        <li>{{ admission }}</li>
                    {% endfor %}
                    </ul>
                </td>
                <td>
                    <a href="{{ path('patient_show', {'id': patient.id}) }}">show</a>
                    <a href="{{ path('patient_edit', {'id': patient.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
